/**
 * /assets/scss/partials/base/mixins.scss
 *
 * Let's define our universal mixins for use throughout the theme
 */
/**
 * Base text styles
 */
/**
 * Base button styles
 */
/**
 * Button reset
 */
/**
 * Label styles
 */
/**
 * Transitions
 */
/**
 * Placeholder Color
 */
/**
 * Media queries
 */
.block-featured-courses {
  display: flex;
  width: 100%;
  flex-direction: column;
  gap: 24px;
}
.block-featured-courses__course {
  width: 100%;
  background-color: #fff;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  column-gap: 24px;
  row-gap: 16px;
  padding: 16px clamp(16px, 12.364px + 0.97vw, 24px);
  box-shadow: 0 2px 8px 0 rgba(99, 99, 99, 0.1);
}
.block-featured-courses__course:nth-child(4n+2) .block-featured-courses__course-date-wrap {
  background-color: var(--wp--preset--color--tertiary);
  color: var(--wp--preset--color--main);
}
.block-featured-courses__course:nth-child(4n+3) .block-featured-courses__course-date-wrap {
  background-color: var(--wp--preset--color--quaternary);
  color: var(--wp--preset--color--main);
}
.block-featured-courses__course:nth-child(4n+4) .block-featured-courses__course-date-wrap {
  background-color: var(--wp--preset--color--quinary);
  color: var(--wp--preset--color--main);
}
.block-featured-courses__course-date-wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-content: center;
  background-color: var(--wp--preset--color--primary);
  color: #fff;
  width: 112px;
  min-height: 112px;
  padding: 12px;
}
@media (max-width: 600px) {
  .block-featured-courses__course-date-wrap {
    width: 100%;
    min-height: 0;
    height: auto;
    gap: 8px;
    justify-content: flex-start;
  }
}
.block-featured-courses__course-date-day {
  width: 100%;
  text-align: center;
  font-size: 24px;
}
@media (max-width: 600px) {
  .block-featured-courses__course-date-day {
    width: auto;
  }
}
.block-featured-courses__course-date-month {
  width: 100%;
  text-align: center;
  font-size: 24px;
  text-transform: uppercase;
  font-weight: 700;
}
@media (max-width: 600px) {
  .block-featured-courses__course-date-month {
    width: auto;
  }
}
.block-featured-courses__course-right {
  display: flex;
  flex-direction: column;
  flex: 1;
  gap: 2px;
}
@media (max-width: 600px) {
  .block-featured-courses__course-right {
    width: 100%;
    flex: none;
  }
}
.block-featured-courses__course-right-top {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  text-transform: uppercase;
  letter-spacing: 1.6px;
  line-height: 1.1;
}
@media (min-width: 782px) {
  .block-featured-courses__course-time {
    margin-left: 8px;
    padding-left: 8px;
    border-left: 1px solid var(--wp--preset--color--main);
  }
}
@media (max-width: 781px) {
  .block-featured-courses__course-time {
    width: 100%;
    margin-top: 4px;
  }
}
.block-featured-courses__course-title {
  margin: 0;
  width: 100%;
}
.block-featured-courses__course-title a {
  font-size: var(--wp--preset--font-size--font-size-5);
  font-weight: 500;
}
.block-featured-courses__course-title:hover a,
.block-featured-courses__course-title a:hover {
  text-decoration: none;
  color: var(--wp--preset--color--tertiary) !important;
}
.block-featured-courses__course-excerpt {
  margin-top: 6px;
}
